package com.muyu.businessPlatform.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 车辆对象 vehicle
 *
 * @author wan
 * @date 2024-05-31
 */
public class Vehicle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 车辆id */
    private Long id;

    /** 车辆vin */
    @Excel(name = "车辆vin")
    private String vin;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionDate;

    /** 车身类型 */
    @Excel(name = "车身类型")
    private String bodyType;

    /** 车身颜色 */
    @Excel(name = "车身颜色")
    private String color;

    /** 发动机排量 */
    @Excel(name = "发动机排量")
    private BigDecimal engineCapacity;

    /** 燃油类型 */
    @Excel(name = "燃油类型")
    private String fuelType;

    /** 变速器类型 */
    @Excel(name = "变速器类型")
    private String transmission;

    /** 驱动方式 */
    @Excel(name = "驱动方式")
    private String driveType;

    /** 行驶里程 */
    @Excel(name = "行驶里程")
    private BigDecimal mileage;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "注册日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registrationDate;

    /** 车牌号码 */
    @Excel(name = "车牌号码")
    private String licenseNumber;

    /** 持有者 */
    @Excel(name = "持有者")
    private String holder;

    /** 车辆类型 */
    @Excel(name = "车辆类型")
    private String vehicleType;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setVin(String vin)
    {
        this.vin = vin;
    }

    public String getVin()
    {
        return vin;
    }
    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getBrand()
    {
        return brand;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setProductionDate(Date productionDate)
    {
        this.productionDate = productionDate;
    }

    public Date getProductionDate()
    {
        return productionDate;
    }
    public void setBodyType(String bodyType)
    {
        this.bodyType = bodyType;
    }

    public String getBodyType()
    {
        return bodyType;
    }
    public void setColor(String color)
    {
        this.color = color;
    }

    public String getColor()
    {
        return color;
    }
    public void setEngineCapacity(BigDecimal engineCapacity)
    {
        this.engineCapacity = engineCapacity;
    }

    public BigDecimal getEngineCapacity()
    {
        return engineCapacity;
    }
    public void setFuelType(String fuelType)
    {
        this.fuelType = fuelType;
    }

    public String getFuelType()
    {
        return fuelType;
    }
    public void setTransmission(String transmission)
    {
        this.transmission = transmission;
    }

    public String getTransmission()
    {
        return transmission;
    }
    public void setDriveType(String driveType)
    {
        this.driveType = driveType;
    }

    public String getDriveType()
    {
        return driveType;
    }
    public void setMileage(BigDecimal mileage)
    {
        this.mileage = mileage;
    }

    public BigDecimal getMileage()
    {
        return mileage;
    }
    public void setRegistrationDate(Date registrationDate)
    {
        this.registrationDate = registrationDate;
    }

    public Date getRegistrationDate()
    {
        return registrationDate;
    }
    public void setLicenseNumber(String licenseNumber)
    {
        this.licenseNumber = licenseNumber;
    }

    public String getLicenseNumber()
    {
        return licenseNumber;
    }
    public void setHolder(String holder)
    {
        this.holder = holder;
    }

    public String getHolder()
    {
        return holder;
    }
    public void setVehicleType(String vehicleType)
    {
        this.vehicleType = vehicleType;
    }

    public String getVehicleType()
    {
        return vehicleType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vin", getVin())
            .append("brand", getBrand())
            .append("model", getModel())
            .append("productionDate", getProductionDate())
            .append("bodyType", getBodyType())
            .append("color", getColor())
            .append("engineCapacity", getEngineCapacity())
            .append("fuelType", getFuelType())
            .append("transmission", getTransmission())
            .append("driveType", getDriveType())
            .append("mileage", getMileage())
            .append("registrationDate", getRegistrationDate())
            .append("licenseNumber", getLicenseNumber())
            .append("holder", getHolder())
            .append("vehicleType", getVehicleType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
