package com.muyu.many;

import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.web.servlet.DynamicRegistrationBean;

/**
 * 多数据源启动类
 *
 * @ClassName DataSourcemanyApplication
 * @Author AnNan.Wang
 * @Date 2024/6/3 18:40
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication(exclude = {
        DynamicDataSourceAutoConfiguration.class,
        DataSourceAutoConfiguration.class
})
public class DataSourcemanyApplication {
    public static void main(String[] args) {
        SpringApplication.run(DataSourcemanyApplication.class,args);
    }
}
