package com.muyu.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 企业对象 enterprise
 *
 * @author wan
 * @date 2024-05-31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("enterprise")
public class Enterprise extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 法定代表人 */
    @Excel(name = "法定代表人")
    private String legalPerson;

    /** 经营执照凭证号码 */
    @Excel(name = "经营执照凭证号码")
    private String businessLicenseNumber;

    /** 企业成立时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "企业成立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date establishmentDate;

    /** 经营范围 */
    @Excel(name = "经营范围")
    private String businessScope;

    /** 注册地址 */
    @Excel(name = "注册地址")
    private String address;

    /** 企业联系方式 */
    @Excel(name = "企业联系方式")
    private String contactPhone;

    /** 公司邮箱 */
    @Excel(name = "公司邮箱")
    private String email;

    /** 企业当前状态 */
    @Excel(name = "企业当前状态")
    private Integer status;

    /** 企业入驻平台时期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "企业入驻平台时期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date registrationDate;

    /** 企业认证id */
    @Excel(name = "企业认证id")
    private Long certificationId;

    /** 认证时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "认证时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date authenticationDate;

    /** 服务级别 */
    @Excel(name = "服务级别")
    private Integer serviceLevel;

    /** 开通服务id */
    @Excel(name = "开通服务id")
    private Long openServerId;

    /** 增值服务id */
    @Excel(name = "增值服务id")
    private Long addServerId;

}
