package com.muyu.authentication.mapper;

import com.muyu.domain.Certification;

import java.util.List;

/**
 * 企业认证Mapper接口
 *
 * @author wan
 * @date 2024-05-31
 */
public interface CertificationMapper
{
    /**
     * 查询企业认证
     *
     * @param id 企业认证主键
     * @return 企业认证
     */
    public Certification selectCertificationById(Long id);

    /**
     * 查询企业认证列表
     *
     * @param certification 企业认证
     * @return 企业认证集合
     */
    public List<Certification> selectCertificationList(Certification certification);

    /**
     * 新增企业认证
     *
     * @param certification 企业认证
     * @return 结果
     */
    public int insertCertification(Certification certification);

    /**
     * 修改企业认证
     *
     * @param certification 企业认证
     * @return 结果
     */
    public int updateCertification(Certification certification);

    /**
     * 删除企业认证
     *
     * @param id 企业认证主键
     * @return 结果
     */
    public int deleteCertificationById(Long id);

    /**
     * 批量删除企业认证
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCertificationByIds(Long[] ids);
}
